﻿using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

// General Information about an assembly is controlled through the following 
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
[assembly: AssemblyTitle("Common")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("Microsoft")]
[assembly: AssemblyProduct("SearchMigrationTool")]
[assembly: AssemblyCopyright("Copyright © Microsoft 2009")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Setting ComVisible to false makes the types in this assembly not visible 
// to COM components.  If you need to access a type in this assembly from 
// COM, set the ComVisible attribute to true on that type.
[assembly: ComVisible(false)]

// The following GUID is for the ID of the typelib if this project is exposed to COM
[assembly: Guid("f96e54ba-8714-43d4-8d56-46c61ab5e418")]

// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Build and Revision Numbers 
// by using the '*'.

[assembly: AssemblyVersion(Common.VersionInformation.LongVersion)]
[assembly: AssemblyFileVersion(Common.VersionInformation.LongVersion)]

namespace Common
{
    public class VersionInformation
    {

        //This all should be 1 digit strings with value between "0" and "9"
        public const string MajorVersion = "1";
        public const string SubMajorVersion = "2";
        public const string MinorVersion = "1"; 

        //this is the version of the files produced by the executable
        public const string FileVersion = MajorVersion + "." + SubMajorVersion;

        //we dont use the fouth digit, it is hard coded as 0.
        public const string LongVersion = 
            MajorVersion + "." + SubMajorVersion + "." +
            MinorVersion + ".0"; 

        //the short version omits the third digit if it is 0
        public const string ShortVersion = MajorVersion + "." + SubMajorVersion + 
            (MinorVersion != "0" ? ("." + MinorVersion) : "");
    }
}
